libwpd: WP6FontDescriptorPacket Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP6FontDescriptorPacket Class Reference

`#include <WP6FontDescriptorPacket.h>`

Inheritance diagram for WP6FontDescriptorPacket:

List of all members.

## Public Member Functions
| WP6FontDescriptorPacket (WPXInputStream *input, int id, uint32_t dataOffset, uint32_t dataSize)
virtual | ~WP6FontDescriptorPacket ()
virtual void | _readContents (WPXInputStream *input)
const char * | getFontName () const
## Private Attributes
uint16_t | m_characterWidth
uint16_t | m_ascenderHeight
uint16_t | m_xHeight
uint16_t | m_descenderHeight
uint16_t | m_italicsAdjust
uint8_t | m_primaryFamilyId
uint8_t | m_primaryFamilyMemberId
uint8_t | m_scriptingSystem
uint8_t | m_primaryCharacterSet
uint8_t | m_width
uint8_t | m_weight
uint8_t | m_attributes
uint8_t | m_generalCharacteristics
uint8_t | m_classification
uint8_t | m_fill
uint8_t | m_fontType
uint8_t | m_fontSourceFileType
uint16_t | m_fontNameLength
char * | m_fontName

## Constructor & Destructor Documentation

WP6FontDescriptorPacket::WP6FontDescriptorPacket | ( | WPXInputStream * | input,
|  | int | id,
|  | uint32_t | dataOffset,
|  | uint32_t | dataSize
| ) |

WP6FontDescriptorPacket::~WP6FontDescriptorPacket | ( |  | ) | `[virtual]`

## Member Function Documentation

void WP6FontDescriptorPacket::_readContents | ( | WPXInputStream * | input | ) | `[virtual]`

| Implements WP6PrefixDataPacket.

const char* WP6FontDescriptorPacket::getFontName | ( |  | ) | const`[inline]`

## Member Data Documentation

uint16_t WP6FontDescriptorPacket::m_ascenderHeight`[private]`

uint8_t WP6FontDescriptorPacket::m_attributes`[private]`

uint16_t WP6FontDescriptorPacket::m_characterWidth`[private]`

uint8_t WP6FontDescriptorPacket::m_classification`[private]`

uint16_t WP6FontDescriptorPacket::m_descenderHeight`[private]`

uint8_t WP6FontDescriptorPacket::m_fill`[private]`

char* WP6FontDescriptorPacket::m_fontName`[private]`

uint16_t WP6FontDescriptorPacket::m_fontNameLength`[private]`

uint8_t WP6FontDescriptorPacket::m_fontSourceFileType`[private]`

uint8_t WP6FontDescriptorPacket::m_fontType`[private]`

uint8_t WP6FontDescriptorPacket::m_generalCharacteristics`[private]`

uint16_t WP6FontDescriptorPacket::m_italicsAdjust`[private]`

uint8_t WP6FontDescriptorPacket::m_primaryCharacterSet`[private]`

uint8_t WP6FontDescriptorPacket::m_primaryFamilyId`[private]`

uint8_t WP6FontDescriptorPacket::m_primaryFamilyMemberId`[private]`

uint8_t WP6FontDescriptorPacket::m_scriptingSystem`[private]`

uint8_t WP6FontDescriptorPacket::m_weight`[private]`

uint8_t WP6FontDescriptorPacket::m_width`[private]`

uint16_t WP6FontDescriptorPacket::m_xHeight`[private]`

The documentation for this class was generated from the following files:

- WP6FontDescriptorPacket.h
- WP6FontDescriptorPacket.cpp